Commit 61733fd1 authored by Andrea Sciaba's avatar Andrea Sciaba
Browse files

Added isolation tests and made WN tests RHEL7 compatible

parent 33920d47
......@@ -17,31 +17,29 @@ if [ -n "$OSG_GRID" ] ; then
elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_APP defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
# check for SL5
libc25=1
if ! [ -f $SW_DIR/common/cmsos ] ; then
echo "$SW_DIR/common/cmsos not found - force to SL5"
slVersion="slc5"
osVersion=`$SW_DIR/common/cmsos`
echo "osVersion: " $osVersion
slVersion=`echo $cmsarch|cut -d'_' -f1`
if [[ $osVersion == slc6* ]]; then
cmsarch=slc6_amd64_gcc530
elif [[ $osVersion == slc7* ]] ; then
cmsarch=slc7_amd64_gcc530
else
osVersion=`$SW_DIR/common/cmsos`
echo "osVersion: " $osVersion
cmsarch=`$SW_DIR/common/cmsarch`
echo "scram_arch: " $cmsarch
slVersion=`echo $cmsarch|cut -d'_' -f1`
echo "ERROR: unknown OS"
echo "summary: UNKN_OS"
exit $SAME_ERROR
fi
echo "scram_arch: " $cmsarch
export SCRAM_ARCH=$cmsarch
# this test requires SLC6 arch, currently
export SCRAM_ARCH=slc6_amd64_gcc491
export BUILD_ARCH=$SCRAM_ARCH
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
export BUILD_ARCH=$SCRAM_ARCH
grep 'Your shell is not able to find' $tmpfile > /dev/null
result2=$?
rm -f $tmpfile
......
#!/bin/bash
# Source the CMS environment
export SCRAM_ARCH=slc6_amd64_gcc491
if [ -n "$OSG_GRID" ] ; then
[ -f $OSG_GRID/setup.sh ] && source $OSG_GRID/setup.sh
if [ -d $OSG_APP/cmssoft/cms ] ;then
......@@ -18,9 +17,7 @@ if [ -n "$OSG_GRID" ] ; then
elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_APP defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
......
......@@ -14,9 +14,9 @@ printf "node: $node\n"
#
# Choose CMSSW version
#
cmsswvsn=CMSSW_7_5_2
cmsswvsn=CMSSW_9_0_0
#
export SCRAM_ARCH=slc6_amd64_gcc491
#export SCRAM_ARCH=slc6_amd64_gcc491
# Check that environmental variable SAME_OK is set
#
if [ ! "${SAME_OK}" ]
......
......@@ -3,7 +3,6 @@
/usr/bin/id
# Source the CMS environment
export SCRAM_ARCH=slc6_amd64_gcc493
if [ -n "$OSG_GRID" ] ; then
[ -f $OSG_GRID/setup.sh ] && source $OSG_GRID/setup.sh
if [ -d $OSG_APP/cmssoft/cms ] ;then
......@@ -20,13 +19,12 @@ if [ -n "$OSG_GRID" ] ; then
elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_GRID defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
export BUILD_ARCH=$SCRAM_ARCH
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
export BUILD_ARCH=$SCRAM_ARCH
echo "SCRAM_ARCH: $SCRAM_ARCH"
result=$?
if [ $result != 0 ]; then
cat $tmpfile
......@@ -37,10 +35,13 @@ if [ $result != 0 ]; then
fi
rm -f $tmpfile
ls -l $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh
. $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SW_DIR/COMP/slc6_amd64_gcc493/external/openssl/1.0.1r/lib:$SW_DIR/COMP/slc6_amd64_gcc493/external/bz2lib/1.0.6/lib
arch=`cmsos`
echo "arch: $arch"
if [[ $arch == slc6* ]]; then
ls -l $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh
. $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SW_DIR/COMP/slc6_amd64_gcc493/external/openssl/1.0.1r/lib:$SW_DIR/COMP/slc6_amd64_gcc493/external/bz2lib/1.0.6/lib
fi
echo $LD_LIBRARY_PATH
......@@ -57,7 +58,6 @@ else
echo `which python2.7`
echo
fi
export PYTHONPATH=$SAME_SENSOR_HOME/cms-MC-test/lib/python2.6/site-packages:$PYTHONPATH
set > startup_environment.sh
......
#!/bin/sh
# Choose CMSSW version
cmsswvsn=CMSSW_7_5_2
cmsswvsn=CMSSW_9_0_0
# Check that scramv1 command was defined by . $CMS_PATH/cmsset_default.sh
which scramv1 > /dev/null 2>&1
......@@ -38,10 +38,8 @@ cd $current
# There are all files available in SAM dataset, which is at all sites
/bin/cat > possible-input-files <<EOI
/store/mc/SAM/GenericTTbar/GEN-SIM-RECO/CMSSW_5_3_1_START53_V5-v1/0013/CE4D66EB-5AAE-E111-96D6-003048D37524.root
/store/mc/SAM/GenericTTbar/GEN-SIM-RECO/CMSSW_5_3_1_START53_V5-v1/0013/C4FA6C05-51AE-E111-B9BA-001D09F295A1.root
/store/mc/SAM/GenericTTbar/GEN-SIM-RECO/CMSSW_5_3_1_START53_V5-v1/0013/52D06725-4BAE-E111-A059-001D09F252DA.root
/store/mc/SAM/GenericTTbar/GEN-SIM-RECO/CMSSW_5_3_1_START53_V5-v1/0013/3E573418-4BAE-E111-B0CD-BCAEC532971D.root
/store/mc/SAM/GenericTTbar/AODSIM/CMSSW_9_0_0_90X_mcRun1_realistic_v4-v1/10000/28B9D1FB-8B31-E711-AA4E-0025905B85B2.root
/store/mc/SAM/GenericTTbar/AODSIM/CMSSW_9_0_0_90X_mcRun1_realistic_v4-v1/10000/887C13FB-8B31-E711-BCE7-0025905B85BA.root
EOI
nFiles=`cat possible-input-files | wc -l`
......
......@@ -22,15 +22,10 @@ if [ -n "$OSG_GRID" ] ; then
elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_GRID defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
# This test requires SLC5 arch, currently
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
export SCRAM_ARCH="slc6_amd64_gcc491"
export BUILD_ARCH=$SCRAM_ARCH
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
if [ $result != 0 ]; then
......@@ -42,6 +37,18 @@ if [ $result != 0 ]; then
fi
rm -f $tmpfile
arch=`cmsos`
if [[ $arch == slc6* ]]; then
export SCRAM_ARCH=slc6_amd64_gcc530
elif [[ $arch == slc7* ]] ; then
export SCRAM_ARCH=slc7_amd64_gcc530
else
echo "ERROR: unknown OS"
echo "summary: UNKN_OS"
exit $SAME_ERROR
fi
export BUILD_ARCH=$SCRAM_ARCH
# Execute main test scripts
echo
echo "Test analysis of data from /store/data..."
......
......@@ -54,9 +54,7 @@ if [ -n "$OSG_GRID" ] ; then
elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_APP defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
if [ ! -d $SW_DIR ] ; then
echo "SwArea: $SW_DIR"
......@@ -71,9 +69,10 @@ echo "Printing CMS site local config information..."
echo
echo Hostname: `hostname`
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
export SCRAM_ARCH=slc6_amd64_gcc493
echo "SCRAM_ARCH: $SCRAM_ARCH"
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
echo "SCRAM_ARCH: $SCRAM_ARCH"
if [ $result != 0 ] ; then
cat $tmpfile
rm -f $tmpfile
......
......@@ -151,9 +151,7 @@ elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
echo "SwArea: $SW_DIR"
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_GRID defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
if [ ! -d $SW_DIR -o ! -r $SW_DIR ] ; then
echo "ERROR: software directory non existent or non readable"
......
#!/bin/bash
# Source the CMS environment
export SCRAM_ARCH=slc6_amd64_gcc493
export BUILD_ARCH=$SCRAM_ARCH
#export SCRAM_ARCH=slc6_amd64_gcc493
if [ -n "$OSG_GRID" ] ; then
[ -f $OSG_GRID/setup.sh ] && source $OSG_GRID/setup.sh
if [ -d $OSG_APP/cmssoft/cms ] ;then
......@@ -19,14 +18,13 @@ if [ -n "$OSG_GRID" ] ; then
elif [ -n "$VO_CMS_SW_DIR" ] ; then
SW_DIR=$VO_CMS_SW_DIR
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_GRID defined"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
SW_DIR=/cvmfs/cms.cern.ch
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
export BUILD_ARCH=$SCRAM_ARCH
if [ $result != 0 ]; then
cat $tmpfile
rm -f $tmpfile
......@@ -36,26 +34,36 @@ if [ $result != 0 ]; then
fi
rm -f $tmpfile
arch=`cmsos`
echo "arch: $arch"
# Source libraries required by WMCore
if [ -e $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh ] ; then
source $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SW_DIR/COMP/slc6_amd64_gcc493/external/openssl/1.0.1p/lib:$SW_DIR/COMP/slc6_amd64_gcc493/external/bz2lib/1.0.6/lib
if [[ $arch == slc6* ]]; then
if [ -e $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh ] ; then
source $SW_DIR/COMP/slc6_amd64_gcc493/external/python/2.7.6/etc/profile.d/init.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SW_DIR/COMP/slc6_amd64_gcc493/external/openssl/1.0.1p/lib:$SW_DIR/COMP/slc6_amd64_gcc493/external/bz2lib/1.0.6/lib
fi
fi
command -v python2.6 > /dev/null
command -v python2.7 > /dev/null
rc=$?
if [ $rc != 0 ] ; then
echo "ERROR: Python2.6 isn't available on this worker node."
echo "summary: PYTHON_26_NOT_FOUND"
echo "ERROR: Python2.7 isn't available on this worker node."
echo "summary: PYTHON_27_NOT_FOUND"
exit $SAME_ERROR
else
echo -n "Python2.6: "
echo `which python2.6`
echo -n "Python2.7: "
echo `which python2.7`
echo
fi
export PYTHONPATH=$SAME_SENSOR_HOME/cms-MC-test/lib/python2.6/site-packages:$PYTHONPATH
set > startup_environment.sh
sed -e 's/^/export /' startup_environment.sh > tmp_env.sh
mv -f tmp_env.sh startup_environment.sh
export JOBSTARTDIR=$PWD
$SAME_SENSOR_HOME/tests/RuntimeSAMRemoteStageOut.py
rc=$?
if [ $rc == 1 ] ; then
......
#!/bin/bash
export LANG=C
warning=0
error=0
workdir=`mktemp -d workdirXXXXXX`
cd $workdir
cp $SAME_SENSOR_HOME/tests/cmssw_required_version_list.txt .
isEGEE=0
isOSG=0
hasCVMFS=0
if [ -n "$OSG_GRID" ] ; then
isOSG=1
[ -f $OSG_GRID/setup.sh ] && source $OSG_GRID/setup.sh
if [ -d $OSG_APP/cmssoft/cms ] ;then
SW_DIR=$OSG_APP/cmssoft/cms
elif [ -d $CVMFS/cms.cern.ch ] ; then
SW_DIR=$CVMFS/cms.cern.ch
elif [ -d /cvmfs/cms.cern.ch ] ; then
SW_DIR=/cvmfs/cms.cern.ch
else
echo "ERROR: Cannot find CMS software in OSG node"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
fi
echo "SwArea: $SW_DIR"
elif [ -n "$VO_CMS_SW_DIR" ] ; then
isEGEE=1
SW_DIR=$VO_CMS_SW_DIR
echo "SwArea: $SW_DIR"
elif [ -d $CVMFS/cms.cern.ch ] ; then
hasCVMFS=1
SW_DIR=$CVMFS/cms.cern.ch
echo "SwArea: $SW_DIR"
elif [ -d /cvmfs/cms.cern.ch ] ; then
hasCVMFS=1
SW_DIR=/cvmfs/cms.cern.ch
echo "SwArea: $SW_DIR"
else
echo "ERROR: Neither VO_CMS_SW_DIR nor OSG_GRID defined and no CVMFS"
echo "summary: SW_DIR_UNDEF"
exit $SAME_ERROR
fi
if [ ! -d $SW_DIR -o ! -r $SW_DIR ] ; then
echo "ERROR: software directory non existent or non readable"
echo "summary: SW_DIR_NOT_READABLE"
exit $SAME_ERROR
fi
echo
echo -n "Software location: "
if [ "`echo $SW_DIR | cut -d / -f 2`" == "afs" ]; then
echo "AFS"
SPACE=`fs lq $SW_DIR | tail -1 | awk '{print (\$2-\$3)/1024 }'`
elif [ "`echo $SW_DIR | cut -d / -f 2`" == "cvmfs" ]; then
hasCVMFS=1
echo "CVMFS"
else
echo "local"
SPACE=`df -k -P $SW_DIR | tail -1 | awk '{print \$4/1024}'`
fi
# Disk space check only for non-CVMFS
if [ $hasCVMFS == 0 ]; then
echo "FreeSWAreaSpace: $SPACE MB"
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
if [ $result != 0 ] ; then
cat $tmpfile
rm -f $tmpfile
echo "ERROR: CMS software initialisation script cmsset_default.sh failed"
echo "summary: NO_SETUP_SCRIPT"
exit $SAME_ERROR
fi
rm -f $tmpfile
echo
echo "Default SCRAM_ARCH: $SCRAM_ARCH"
if [ -z $CMS_PATH ]; then
echo "ERROR: CMS_PATH not defined"
echo "summary: CMS_PATH_UNDEF"
exit $SAME_ERROR
fi
if [ ! -d $CMS_PATH ] ; then
echo "ERROR: CMS_PATH directory $CMS_PATH not existing"
echo "summary: NO_CMS_PATH"
exit $SAME_ERROR
fi
echo -n "scramv1_version: "
scramv1 version
result=$?
if [ $result != 0 ]
then
echo "ERROR: scramv1 command not found"
echo "summary: NO_SCRAMV1"
exit $SAME_ERROR
fi
echo
echo "Retrieving list of CMSSW versions installed..."
archs_defined='slc5_amd64_gcc434 slc5_amd64_gcc462 slc5_amd64_gcc472 slc6_amd64_gcc472 slc6_amd64_gcc481'
for arch in $archs_defined
do
export SCRAM_ARCH=$arch
export BUILD_ARCH=$arch
echo "SCRAM_ARCH: $arch"
scramv1 list -c CMSSW > scramv1_list_output.txt
listerror=$?
if [ $listerror != 0 ]
then
echo "WARNING: could not list CMSSW versions with scramv1"
fi
touch scramv1_list_output.txt
cat scramv1_list_output.txt | tr -s " " | cut -d " " -f2 | sort -u > cmssw_installed_${arch}.txt
rm -f scramv1_list_output.txt
cat cmssw_installed_${arch}.txt >> cmssw_installed_version_list.txt
if [ -d $CMS_PATH/${arch}/cms/cms-common/1.0 ]; then
echo "Recent cms-common RPM already installed:"
ls -d $CMS_PATH/${arch}/cms/cms-common/1.0/* | grep -v etc
else
echo "Old style cms-common RPM installed."
fi
echo
done
missing=0
failproject=0
for cmsver in `cat cmssw_required_version_list.txt`
do
grep -x $cmsver cmssw_installed_version_list.txt >& /dev/null
result=$?
if [ $result != 0 ]
then
echo "ERROR: Required CMSSW version $cmsver not installed"
error=1
errorSummary="REQ_CMSSW_NOT_FOUND"
else
echo "Checking version $cmsver installation..."
# execute in a subprocess commands that require scram
$SAME_SENSOR_HOME/tests/TestCmsswVersion.sh $cmsver
TestResult=$?
if [ $TestResult != 0 ]
then
error=1
echo "ERROR: Some of the required CMSSW versions not working"
errorSummary="summary: REQ_CMSSW_NOT_WORKING"
fi
fi
done
# Check for Python2.6 installation needed for WMAgent
# Check for a SW tag to be added
no_comp_area=0
no_phython_found=0
echo
echo "Check for Python2.6 for WMAgent..."
wma_arch=slc5_amd64_gcc434
if [ -d $CMS_PATH/COMP ]; then
if [ -d $CMS_PATH/COMP/$wma_arch/external/python ]; then
declare -a PYTHON26
PYTHON26=($(ls $CMS_PATH/COMP/$wma_arch/external/python | grep 2.6))
N_PYTHON26=${#PYTHON26[*]}
if [ $N_PYTHON26 -lt 1 ]; then
error=1
echo "ERROR: No Python2.6 installed in COMP area. It is broken!"
errorSummary="summary: NO_PYTHON26_FOUND"
else
echo "These Python2.6 versions exist:"
echo "${PYTHON26[@]}"
fi
else
error=1
echo "ERROR: No Python releases found in COMP area - it's broken!"
errorSummary="summary: NO_PYTHON_FOUND"
fi
else
warning=1
echo "WARNING: No COMP area found"
echo "summary: NO_COMP_AREA"
fi
echo
if [[ $error == 1 ]]
then
echo $errorSummary
exit $SAME_ERROR
fi
if [[ $warning == 1 ]]
then
echo $errorSummary
exit $SAME_WARNING
fi
echo "All checks OK"
echo "summary: OK"
exit $SAME_OK
......@@ -12,6 +12,7 @@ import signal
import socket
import logging
import optparse
import subprocess
import xml.etree.ElementTree as ET
################
......@@ -40,7 +41,7 @@ process.maxEvents = cms.untracked.PSet(
input = cms.untracked.int32(10)
)
process.p = cms.Path(process.dump)
process.p = cms.EndPath(process.dump)
"""
def configure_logging(lvl=logging.INFO):
......@@ -268,10 +269,14 @@ def main():
if not os.path.isfile(sw_setup_script):
return print_summary("The software setup script (%s) is missing" % sw_setup_script, NAG_CRITICAL)
log.info("CMS software setup script (%s) is present." % sw_setup_script)
scram_arch = "slc6_amd64_gcc491"
scram_arch, _ = runCommand("/cvmfs/cms.cern.ch/common/cmsarch", [], opts)
if 'slc6' in scram_arch:
scram_arch = 'slc6_amd64_gcc530'
elif 'slc7' in scram_arch:
scram_arch = 'slc7_amd64_gcc530'
log.info("Using SCRAM_ARCH=%s" % scram_arch)
os.environ["SCRAM_ARCH"] = scram_arch
exitCode = sourceFile(sw_setup_script, opts)
if exitCode:
return print_summary("Failed to source setup script %s." % sw_setup_script, NAG_CRITICAL)
......@@ -312,7 +317,7 @@ def main():
returnCode = NAG_WARNING
# Setup CMSSW, run command
cmssw_file="/store/mc/SAM/GenericTTbar/GEN-SIM-RECO/CMSSW_5_3_1_START53_V5-v1/0013/CE4D66EB-5AAE-E111-96D6-003048D37524.root"
cmssw_file="/store/mc/SAM/GenericTTbar/AODSIM/CMSSW_9_0_0_90X_mcRun1_realistic_v4-v1/10000/28B9D1FB-8B31-E711-AA4E-0025905B85B2.root"
xrootd_file="root://cms-xrd-global.cern.ch//store/test/xrootd/%s/%s" % (siteName, cmssw_file)
log.info("Xrootd file we will test: %s" % xrootd_file)
......@@ -323,8 +328,8 @@ def main():
return print_summary("Failure to create test directory 'xrootd-access': %s." % str(oe), returnCode)
os.chdir("xrootd-access")
cmssw_version="CMSSW_7_4_14"
stdout, exitCode = runCommand("scramv1", ["p", "CMSSW", cmssw_version], opts, combineStd=True)
cmssw_version="CMSSW_9_0_0"
stdout, exitCode = runCommand("scramv1", ["-a", scram_arch, "p", "CMSSW", cmssw_version], opts, combineStd=True)
if stdout.strip():
log.info("scramv1 p CMSSW %s output:" % cmssw_version)
print stdout
......
......@@ -37,7 +37,7 @@ process.maxEvents = cms.untracked.PSet(
input = cms.untracked.int32(10)
)
process.p = cms.Path(process.dump)
process.p = cms.EndPath(process.dump)
"""
def configure_logging(lvl=logging.INFO):
......@@ -273,10 +273,14 @@ def main():
if not os.path.isfile(sw_setup_script):
return print_summary("The software setup script (%s) is missing" % sw_setup_script, NAG_CRITICAL)
log.info("CMS software setup script (%s) is present." % sw_setup_script)
scram_arch = "slc6_amd64_gcc491"
scram_arch, _ = runCommand("/cvmfs/cms.cern.ch/common/cmsarch", [], opts)
if 'slc6' in scram_arch:
scram_arch = 'slc6_amd64_gcc530'
elif 'slc7' in scram_arch:
scram_arch = 'slc7_amd64_gcc530'
log.info("Using SCRAM_ARCH=%s" % scram_arch)
os.environ["SCRAM_ARCH"] = scram_arch
exitCode = sourceFile(sw_setup_script, opts)
if exitCode:
return print_summary("Failed to source setup script %s." % sw_setup_script, NAG_CRITICAL)
......@@ -312,7 +316,7 @@ def main():
# Setup CMSSW, run command
cmssw_file="/store/mc/SAM/GenericTTbar/GEN-SIM-RECO/CMSSW_5_3_1_START53_V5-v1/0013/CE4D66EB-5AAE-E111-96D6-003048D37524.root"
cmssw_file="/store/mc/SAM/GenericTTbar/AODSIM/CMSSW_9_0_0_90X_mcRun1_realistic_v4-v1/10000/28B9D1FB-8B31-E711-AA4E-0025905B85B2.root"
xrootd_file="/store/test/xrootd/CMSSAM/%s" % cmssw_file
log.info("Xrootd file we will test: %s" % xrootd_file)
......@@ -323,8 +327,8 @@ def main():
return print_summary("Failure to create test directory 'xrootd-fallback': %s." % str(oe), NAG_CRITICAL)
os.chdir("xrootd-fallback")
cmssw_version="CMSSW_7_4_14"
stdout, exitCode = runCommand("scramv1", ["p", "CMSSW", cmssw_version], opts, combineStd=True)
cmssw_version="CMSSW_9_0_0"
stdout, exitCode = runCommand("scramv1", ["-a", scram_arch, "p", "CMSSW", cmssw_version], opts, combineStd=True)
if stdout.strip():
log.info("scramv1 p CMSSW %s output:" % cmssw_version)
print stdout
......
#!/bin/sh
cmsver=$1
echo "scramv1 project CMSSW $cmsver"
case $cmsver in
CMSSW_0* | CMSSW_1_[1-4]*)
arch=slc3_ia32_gcc323
;;
CMSSW_1_[5678]* | CMSSW_2* | CMSSW_3_[0123]_*)